> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pending Wallet Request

> Returns the first PENDING or PENDING_TXN_APPROVAL wallet visible to the caller with its verification request.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-pending-wallet-request
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-pending-wallet-request:
    get:
      operationId: getPendingWalletRequest
      summary: Get Pending Wallet Request
      description: >-
        Returns the first PENDING or PENDING_TXN_APPROVAL wallet visible to the
        caller with its verification request.


        Not available to API keys.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetPendingWalletRequestResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetPendingWalletRequestResponse:
      type: object
      properties:
        wallet: {}
        isOpenWalletRequestAvailable:
          type: boolean
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
